Subject: [Editorial Errata Reported] RFC7541 (5094)

From: RFC Errata System <[email-masked]>
Date: Thu, 24 Aug 2017 01:01:27 -0700 (PDT)

The following errata report has been submitted for RFC7541,
"HPACK: Header Compression for HTTP/2".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata/eid5094

--------------------------------------
Type: Editorial
Reported by: Xue Fei <[email-masked]>

Section: 5.1

Original Text
-------------
Integers are used to represent name indexes, header field indexes,
or string lengths.

Corrected Text
--------------
Integers are used to represent name indexes, header field indexes,
string lengths, or dynamic table size.

Notes
-----
Section 5.1 says, Integer encodings that exceed implementation limits — in value or octet length — MUST be treated as decoding errors.

Section 6.3 is using HPACK integer to represent value of dynamic table size. This size can be more larger than index or string length. 

This change make user who implement integer encoding/decoding can figure out a proper integer value limit for each condition.

Instructions:
-------------
This erratum is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party  
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC7541 (draft-ietf-httpbis-header-compression-12)
--------------------------------------
Title               : HPACK: Header Compression for HTTP/2
Publication Date    : May 2015
Author(s)           : R. Peon, H. Ruellan
Category            : PROPOSED STANDARD
Source              : Hypertext Transfer Protocol Bis APP
Area                : Applications
Stream              : IETF
Verifying Party     : IESG